@echo off

:loop
cls
echo.
echo Binary demos for STM32L4R9I Discovery
echo.
echo 1 - Smart watch
echo 2 - Classic watch
echo 3 - Temperature Control
echo.
echo x - Exit
echo.
set /p DEMO=Please choose: 

set FILE=
if "%DEMO%" == "1" set FILE=SmartWatch.bin
if "%DEMO%" == "2" set FILE=ClassicWatch.bin
if "%DEMO%" == "3" set FILE=TemperatureControl.bin

if "%DEMO%" == "x" goto :eof
if "%FILE%" == ""  goto :error

cls
copy Binary\%FILE% flash.bin>nul
JLink.exe -device STM32L4R9AI -CommanderScript Flash.jlink
del flash.bin
goto :loop

:error
echo.
echo Ungueltige Eingabe!
goto :loop
